## golang-github-mailru-easyjson 0.0~git20161103.0.159cdb8

=== debian/changelog ===
golang-github-mailru-easyjson (0.0~git20161103.0.159cdb8-1) unstable; urgency=medium

  * Initial release (Closes: #853811)

 -- Tim Potter <tpot@hpe.com>  Tue, 29 Nov 2016 14:11:38 +1100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	make generate
	dh_auto_test

## golang-github-mailru-easyjson 0.9.1

=== Makefile ===
VERSION := $(shell git describe --tags --always --dirty)
COMMIT  := $(shell git rev-parse --short HEAD)

all: test

clean:
	rm -rf bin
	rm -rf tests/*_easyjson.go
	rm -rf benchmark/*_easyjson.go

build:
	go build -ldflags="-s -w -X 'main.Version=$(VERSION)' -X 'main.Commit=$(COMMIT)'" -o ./bin/easyjson ./easyjson


generate: build
	bin/easyjson -stubs \
		./tests/snake.go \
		./tests/data.go \
		./tests/omitempty.go \
		./tests/nothing.go \
		./tests/named_type.go \
		./tests/custom_map_key_type.go \
		./tests/embedded_type.go \
		./tests/reference_to_pointer.go \
		./tests/html.go \
		./tests/unknown_fields.go \
		./tests/type_declaration.go \
		./tests/type_declaration_skip.go \
		./tests/members_escaped.go \
		./tests/members_unescaped.go \
		./tests/intern.go \
		./tests/nocopy.go \
		./tests/escaping.go
	bin/easyjson -all \
		./tests/data.go \
 		./tests/nothing.go \
 		./tests/errors.go \
 		./tests/html.go \
 		./tests/type_declaration_skip.go
	bin/easyjson \
		./tests/nested_easy.go \
		./tests/named_type.go \
		./tests/custom_map_key_type.go \
		./tests/embedded_type.go \
		./tests/reference_to_pointer.go \
		./tests/key_marshaler_map.go \
		./tests/unknown_fields.go \
		./tests/type_declaration.go \
		./tests/members_escaped.go \
		./tests/intern.go \
		./tests/nocopy.go \
		./tests/escaping.go \
		./tests/nested_marshaler.go
	bin/easyjson -snake_case ./tests/snake.go
	bin/easyjson -omit_empty ./tests/omitempty.go
	bin/easyjson -build_tags=use_easyjson -disable_members_unescape ./benchmark/data.go
	bin/easyjson -disallow_unknown_fields ./tests/disallow_unknown.go
	bin/easyjson -disable_members_unescape ./tests/members_unescaped.go

test: generate
	go test \
		./tests \
		./jlexer \
		./gen \
		./buffer
	cd benchmark && go test -benchmem -tags use_easyjson -bench .
	golint -set_exit_status ./tests/*_easyjson.go

bench-other: generate
	cd benchmark && make

bench-python:
	benchmark/ujson.sh


.PHONY: clean generate test build

=== benchmark/Makefile ===
all:
	go test -benchmem -bench .
	go test -benchmem -tags use_ffjson -bench .
	go test -benchmem -tags use_jsoniter -bench .
	go test -benchmem -tags use_codec -bench .

## golang-github-mailru-easyjson 0.7.0

=== debian/changelog ===
golang-github-mailru-easyjson (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - B-D golang-any instead of golang-go.
    - Add Rules-Requires-Root: no
  * Add debian/upstream/metadata.

 -- Roger Shimizu <rosh@debian.org>  Sun, 15 Nov 2020 01:23:01 +0900

golang-github-mailru-easyjson (0.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martina Ferrari ]
  * Update gbp.conf.
  * Automated cme fixes, including bumping dh compat,
    which closes: #947996.
  * Add watchfile.
  * Instead of patching the Makefile, run the code generator from
    debian/rules.
  * Fix short descriptions.

 -- Martina Ferrari <tincho@debian.org>  Wed, 15 Jan 2020 00:13:06 +0000

=== debian/control ===
Source: golang-github-mailru-easyjson
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson.git
Homepage: https://github.com/mailru/easyjson
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mailru/easyjson

Package: golang-github-mailru-easyjson-dev
Architecture: all
Depends: golang-any,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Fast JSON serializer for golang - development files
 easyjson allows (un-)marshaling of JSON golang structs without the
 use of reflection by generating marshaller code.
 .
 One of the aims of the library is to keep generated code simple enough
 so that it can be easily optimized or fixed. Another goal is to provide
 users with ability to customize the generated code not available in
 'encoding/json', such as generating snake_case names or enabling
 'omitempty' behavior by default.
 .
 This package contains the development files.

Package: golang-easyjson
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Fast JSON serializer for golang - command-line client
 easyjson allows (un-)marshaling of JSON golang structs without the
 use of reflection by generating marshaller code.
 .
 One of the aims of the library is to keep generated code simple enough
 so that it can be easily optimized or fixed. Another goal is to provide
 users with ability to customize the generated code not available in
 'encoding/json', such as generating snake_case names or enabling
 'omitempty' behavior by default.
 .
 This package contains the command-line client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=build

override_dh_auto_test: generate

PKG = github.com/mailru/easyjson
BIN = $(CURDIR)/build/bin
SRC = $(CURDIR)/build/src/$(PKG)
generate: export GO111MODULE = off
generate: export GOPATH = $(CURDIR)/build
generate: export GOCACHE = $(CURDIR)/build/cache
generate:
	echo $$GO111MODULE $$GOPATH
	$(BIN)/easyjson -stubs \
		$(SRC)/tests/snake.go \
		$(SRC)/tests/data.go \
		$(SRC)/tests/omitempty.go \
		$(SRC)/tests/nothing.go \
		$(SRC)/tests/named_type.go \
		$(SRC)/tests/custom_map_key_type.go \
		$(SRC)/tests/embedded_type.go \
		$(SRC)/tests/reference_to_pointer.go
	$(BIN)/easyjson -all $(SRC)/tests/data.go
	$(BIN)/easyjson -all $(SRC)/tests/nothing.go
	$(BIN)/easyjson -all $(SRC)/tests/errors.go
	$(BIN)/easyjson -snake_case $(SRC)/tests/snake.go
	$(BIN)/easyjson -omit_empty $(SRC)/tests/omitempty.go
	$(BIN)/easyjson -build_tags=use_easyjson $(SRC)/benchmark/data.go
	$(BIN)/easyjson $(SRC)/tests/nested_easy.go
	$(BIN)/easyjson $(SRC)/tests/named_type.go
	$(BIN)/easyjson $(SRC)/tests/custom_map_key_type.go
	$(BIN)/easyjson $(SRC)/tests/embedded_type.go
	$(BIN)/easyjson $(SRC)/tests/reference_to_pointer.go
	$(BIN)/easyjson $(SRC)/tests/key_marshaler_map.go
	$(BIN)/easyjson -disallow_unknown_fields \
		$(SRC)/tests/disallow_unknown.go

## golang-github-mailru-easyjson 0.7.6

=== debian/changelog ===
golang-github-mailru-easyjson (0.7.6-2) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Remove github.com/josharian/intern tentative solution.
  * debian/control:
    - Add B-D: golang-github-josharian-intern-dev
    - Mark golang-github-mailru-easyjson-dev as Multi-Arch: foreign

 -- Roger Shimizu <rosh@debian.org>  Mon, 07 Dec 2020 00:03:28 +0900

golang-github-mailru-easyjson (0.7.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release v0.7.6

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Roger Shimizu ]
  * debian/control:
    - Update golang maintainer email.
  * debian/patches:
    - Add github.com/josharian/intern tentatively.
  * debian/rules:
    - Build test code after dh_auto_build (Closes: #960613).
  * debian/watch:
    - Remove unnecessary parts.

 -- Roger Shimizu <rosh@debian.org>  Fri, 04 Dec 2020 03:02:48 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: golang-github-mailru-easyjson
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
-               golang-any,
-Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-golang,
+ golang-any,
+ golang-github-josharian-intern-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson.git
 Homepage: https://github.com/mailru/easyjson
@@ -16,9 +18,10 @@
 
 Package: golang-github-mailru-easyjson-dev
 Architecture: all
-Depends: golang-any,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ golang-github-josharian-intern-dev
 Description: Fast JSON serializer for golang - development files
  easyjson allows (un-)marshaling of JSON golang structs without the
  use of reflection by generating marshaller code.
@@ -33,8 +36,9 @@
 
 Package: golang-easyjson
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
 Description: Fast JSON serializer for golang - command-line client
  easyjson allows (un-)marshaling of JSON golang structs without the

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,19 @@
 #!/usr/bin/make -f
+
+PKG = github.com/mailru/easyjson
+BIN = $(CURDIR)/build/bin
+SRC = $(CURDIR)/build/src/$(PKG)
+export GO111MODULE = off
+export GOPATH = $(CURDIR)/build
+export GOCACHE = $(CURDIR)/build/cache
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=build
 
-override_dh_auto_test: generate
+override_dh_auto_test:
 
-PKG = github.com/mailru/easyjson
-BIN = $(CURDIR)/build/bin
-SRC = $(CURDIR)/build/src/$(PKG)
-generate: export GO111MODULE = off
-generate: export GOPATH = $(CURDIR)/build
-generate: export GOCACHE = $(CURDIR)/build/cache
-generate:
+override_dh_auto_build:
+	dh_auto_build
 	echo $$GO111MODULE $$GOPATH
 	$(BIN)/easyjson -stubs \
 		$(SRC)/tests/snake.go \

## golang-github-mailru-easyjson 0.7.7

=== debian/changelog ===
golang-github-mailru-easyjson (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Bump debhelper build-dependency to debhelper-compat (= 13)"
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.2 (no change)
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 13:21:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: golang-github-mailru-easyjson
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
-Section: devel
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+ Anthony Fok <foka@debian.org>,
+Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
- dh-golang,
+ debhelper-compat (= 13),
+ dh-sequence-golang,
  golang-any,
  golang-github-josharian-intern-dev
-Standards-Version: 4.5.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson.git
 Homepage: https://github.com/mailru/easyjson
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/mailru/easyjson
 
 Package: golang-github-mailru-easyjson-dev

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export GOCACHE = $(CURDIR)/build/cache
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=build
+	dh $@ --buildsystem=golang --builddirectory=build
 
 override_dh_auto_test:

## golang-github-mailru-easyjson 0.9.1

=== debian/changelog ===
golang-github-mailru-easyjson (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci.
  * Use watch v5.
  * Improve d/copyright for BSD parser/modulepath.go (thanks lrc!).
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Use Static-Built-Using on golang-easyjson.
  * Run wrap-and-sort -satkb.
  * Use execute_after instead of override.
  * Add manpage.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 01 Oct 2025 19:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>,
+Uploaders:
+ Tim Potter <tpot@hpe.com>,
  Anthony Fok <foka@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
- golang-github-josharian-intern-dev
+ golang-github-josharian-intern-dev,
+ help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailru-easyjson.git
 Homepage: https://github.com/mailru/easyjson
@@ -21,8 +22,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-github-josharian-intern-dev,
  ${misc:Depends},
- golang-github-josharian-intern-dev
 Description: Fast JSON serializer for golang - development files
  easyjson allows (un-)marshaling of JSON golang structs without the
  use of reflection by generating marshaller code.
@@ -40,7 +41,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Built-Using:
+ ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Fast JSON serializer for golang - command-line client
  easyjson allows (un-)marshaling of JSON golang structs without the
  use of reflection by generating marshaller code.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 PKG = github.com/mailru/easyjson
 BIN = $(CURDIR)/build/bin
@@ -12,8 +14,7 @@
 
 override_dh_auto_test:
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	echo $$GO111MODULE $$GOPATH
 	$(BIN)/easyjson -stubs \
 		$(SRC)/tests/snake.go \
@@ -38,3 +39,16 @@
 	$(BIN)/easyjson $(SRC)/tests/key_marshaler_map.go
 	$(BIN)/easyjson -disallow_unknown_fields \
 		$(SRC)/tests/disallow_unknown.go
+
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/tmp/usr/share/man/man1
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installman-arch:
+	mkdir -pv $(M)
+	help2man --version-string="$(DEB_VERSION)" \
+		--no-info --no-discard-stderr \
+		--name="Fast JSON serializer for Go" \
+		--output $(M)/easyjson.1 \
+		$(B)/easyjson
+endif

=== debian/watch ===
Version: 5
Template: Github
Owner: mailru
Project: easyjson
